> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Provider Group



## OpenAPI

````yaml post /v1/providers/groups
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/providers/groups:
    post:
      tags:
        - Providers
      summary: Create Provider Group
      operationId: createProviderGroup
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProviderGroupRequest'
            example:
              name: Acme Behavioral Health
              tin: '123456789'
              tinType: EIN
      responses:
        '201':
          description: The created provider group
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateProviderGroupResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: tinType
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    CreateProviderGroupRequest:
      required:
        - name
        - tin
        - tinType
      type: object
      properties:
        name:
          type: string
          description: The provider group name
          maxLength: 255
          example: Acme Behavioral Health
        tin:
          type: string
          description: The provider group's tax identification number
          minLength: 9
          maxLength: 9
          pattern: ^\d{9}$
          example: '123456789'
        tinType:
          type: string
          description: The type of TIN
          enum:
            - EIN
            - SSN
          example: EIN
    CreateProviderGroupResponse:
      required:
        - providerGroupId
      type: object
      properties:
        providerGroupId:
          type: string
          description: The Sohar ID for the provider group
          format: uuid
          example: cb075a05-4510-456c-addb-fc2efdb74686
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````